Cosas de Administradores

 
 
Picture of Cristian Guzman
No puedo restaurar un curso de MOODLE 1.9.X a MOODLE 2.0
 

Hola a todos

Estoy probando MOODLE 2.0 y veo que tiene una desventaja para restarurar cursos desde MOODLE 1.9 a MOODLE 2.0.

Cuando intento restaurar una copia de seguridad me sale este mensaje

"

Formato de backup no válido

El archivo de copia de seguridad fue creado con Moodle 1.x y no puede ser restaurado en Moodle 2. Esta funcionalidad está prevista en una futura actualización.

"

He intentado restaurar en la ultima version de moodle 1.9.x hacer un backup del mismo y luego restaurar en MOODLE 2.0 pero no se puede.

Alguien sabe de alguna manera o si tienen ideas de como solucionar esto??

 

Muchas gracias

 
Average of ratings: -
Picture of Wenceslao Fernandez
Re: No puedo restaurar un curso de MOODLE 1.9.X a MOODLE 2.0
Group ModeradoresGroup Moodlers de gran ayuda

Hola smile

En efecto, no es posible resaurar cursos de versiones anteriores en Moodle 2. Se prevé que en alguna de las próximas actualizaciones se incluya ya alguna herramienta que permita hacerlo. Hasta entonces, la única posibilidad es Restaurar el curso en una plataforma Moodle 1.9 (puedes usar un paquete integrado en Windows, listo para usar en modo local), actualizar toda la plataforma Moodle 2 y hacer una nueva copia de seguridad del curso, que ya podrás restaurar en la versión 2.

Un saludo

 
Average of ratings:Útil (2)
Picture of Cristian Guzman
Re: No puedo restaurar un curso de MOODLE 1.9.X a MOODLE 2.0
 

Hola Wenceslao

Probe como me comentaste, me baje un paquete integrado en windows (MoodleWindowsInstaller-latest-19.zip) pero sigo con el mismo inconveniente.

No se puede restaurar ninguna copia de seguridad desde MOODLE 19.x a MOODLE 2.0

Si alguien lo pudo hacer espero que me indique exactamente con que paquetes y bajo que enterno lo pudo hacer.

Muchas gracias Wenceslao por tu tiempo

 
Average of ratings: -
Picture of Juanma Campos
Re: No puedo restaurar un curso de MOODLE 1.9.X a MOODLE 2.0
 

Hola. Yo tuve el mismo problema. No se puede importar a 2.0 cursos del Moodle 1.9. La única solución, salvo mejor información, es hacer la migración completa de 1.9 a 2.0

 

salu2

juanma

 
Average of ratings: -
Picture of Wenceslao Fernandez
Re: No puedo restaurar un curso de MOODLE 1.9.X a MOODLE 2.0
Group ModeradoresGroup Moodlers de gran ayuda

Hola Cristian smile

Descargas los dos paquetes Windows (si usas ese sistema, en Linux sería igual) de las versiones 1.9 y 2.0 y los descomprimes en dos carpetas diferentes de tu disco duro. Instalas Moodle 1.9, restauras las copias de seguridad de los cursos 1.9 que tengas. Renombras la carpeta moodle a moodle_old, por ejemplo. Después copias la carpeta moodle de la versión para Windows 2.0 y la pegas en la carpeta donde tengas Moodle 1.9, por último copias el archivo config.php de moodle_old a la nueva carpeta moodle de la versión 2. Al entrar por el navegador te informará de que se va actualizar, le dices a todo que sí y si la cosa va bien, tendrás toda la plataforma actualizada, incluidos los cursos 1.9. Haciendo una nueva copia de seguridad de dichos cursos ya los tendrás adaptados a la versión 2 de Moodle y listos para ser restaurados.

Si no puedes restaurar los cursos en la versión local 1.9, actualizar a la versión 2 o cualquier otro problema, sería cuestión de verlo, pero el proceso de actualizar un curso de momento es de la forma descrita anteriormente.

Salu2

 
Average of ratings: -
Picture of Cristian Guzman
Re: No puedo restaurar un curso de MOODLE 1.9.X a MOODLE 2.0
 

Hola Wenceslao

Muchas gracias por tu ayuda.

Realicé los pasos que me indicaste y pude restaurar algunos backups de algunos cursos.

Voy a probar para hacerlo de manera masiva.

Un cordial saludo

Cristian

 
Average of ratings: -
www.nosolored.com - Servicios Moodle, Chamilo, Joomla y Wordpress.
Re: No puedo restaurar un curso de MOODLE 1.9.X a MOODLE 2.0
Group Moodlers de gran ayuda
Buenos días. Según publican aquí http://www.moodlenews.com/2011/conversionthingy2-update-convert-moodle-backups-from-1-9-to-2-0/ se ha desarrollado una herramienta para convertir copias de la 1.9 a la 2.0. Conversionthingy2 update: Convert Moodle backups from 1.9 to 2.0 No la he probado, pero por si sirve de ayuda. Un saludo. Jose García
 
Average of ratings:Útil (3)
Picture of patricio sanz
Re: No puedo restaurar un curso de MOODLE 1.9.X a MOODLE 2.0
 

buenisimo el aporte, pude hacer el upgrade y tener el curso en la version 2.0 local. Ahora tengo el problema que no me genera un backup nuevo en la version 2.0 - me tira un error de ui al final del proceso.
Textualmente: error/cannot_finish_ui_if_not_setting_ui
Saben a que se debe? Saludos!

 

 
Average of ratings: -
Cuetlachcoyotl o Lobo Mexicano
Re: No puedo restaurar un curso de MOODLE 1.9.X a MOODLE 2.0
Group ModeradoresGroup Moodlers de gran ayuda

Hola Patricio,

Parece que no hay una causa única para este problema.

Por ello, debes activar el modo de depuración en la plataforma (nivel desarrollador).

Échale un vistazo a este post (inglés).

Saludos

 
Average of ratings: -
Picture of patricio sanz
Re: No puedo restaurar un curso de MOODLE 1.9.X a MOODLE 2.0
 

Hola David, he visto ese post, pero no sé si me sirve. Como coloco el nivel de depuracion? saludos

 
Average of ratings: -
Picture of patricio sanz
Re: No puedo restaurar un curso de MOODLE 1.9.X a MOODLE 2.0
 
Average of ratings: -
Cuetlachcoyotl o Lobo Mexicano
Re: No puedo restaurar un curso de MOODLE 1.9.X a MOODLE 2.0
Group ModeradoresGroup Moodlers de gran ayuda

Hola Patricio,

Según el error, para que se lleve a cabo el proceso deseado, debes incrementar el tiempo máximo de ejecución de scripts.

Parece que lo tienes configurado para 60 segundos y se requieren más (tal vez 120 o 180 segundos, has pruebas).

Eso lo debes modificar en el archivo "php.ini" ubicado en el "Windows Installer" en uso.

Más info aquí.

Saludos

 
Average of ratings:Útil (1)
Picture of patricio sanz
Re: No puedo restaurar un curso de MOODLE 1.9.X a MOODLE 2.0
 

Hola David, muchas gracias nuevamente. He podido modificar el archivo php.ini
Luego de reiniciar la aplicación me tomó los nuevos valores.
Saludos y gracias!

Patricio

 
Average of ratings: -
Picture of Gilberto Sámano
Re: No puedo restaurar un curso de MOODLE 1.9.X a MOODLE 2.0
 

Hola, para resturar un curso de la version 1.9 a 2.xxx, cuando te pide el nombre, debe de poner el mismo nombre del backup generado por la versión 1.9, si pones un nombre diferente marca el error que indicas, yo ya realice la restauración de curos de 1.9 a 2.xxx.

Nota: Ex importante verificar la funcionalidad del curso una vez restaurado  en 2.xxx, debido a que si hay algunos cambios.

 
Average of ratings: -